Subject: bug#40397: 28.0.50; epg decrypt does not verify signed content in smime

From: Sebastian Fieber <[email-masked]>
Date: Sun, 05 Apr 2020 02:37:42 +0200

On Sa, Apr 04 2020, Sebastian Fieber <[email-masked]> wrote:

> In such a case the "Decrypt (S/MIME) part?" is asked too times. But hey
> that isn't too bad I think.

I just had some time to look into this even further and I noticed that
the mm-sec buttons for signatures/encryption are not displayed for the
whole application/pkcs7-mime stuff, too.  I am working on a patch to fix
this.

I think most of the code would look like the one in mml-smime.el (the
calls to mm-sec-* and getting error/success messages from epg).  The
hard part is to get the mm-security-handle or better the information
added about the pkcs7-mime signature by the mm-sec-* calls to some
function that will add these (which is gnus-mime-display-security ?).
The problem here is that the part is lost when the signature is verified
as the actual signed content parts will have replace it.

Best regards
Sebastian